package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author gfhd
 * @since 2024-11-10
 */
@TableName("project_info_min2")
public class ProjectInfoMin2 implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonIgnore
    @TableId(type = IdType.AUTO)
    private Integer id;

    @JsonIgnore
    private String stationId;

    @JsonIgnore
    private String projectId;

    @JsonProperty("record_date")
    private Date recordDate;

    private Double rfdl;

    private Double hjwd;

    private Long yxts;

    private Double tqfs;

    private Double pjfs1;

    private Double pjfs2;

    private Double pjfs3;

    private Double pjfs4;

    private Double pjfs5;

    private Double pjfs6;

    private Double pjfs7;

    private Double pjfs8;

    private Double pjfs9;

    private Double pjfs10;

    private Double pjfs11;

    private Double pjfs12;

    private Double pjfs13;

    private Double pjfs14;

    private Double pjfs15;

    private Double pjfs16;

    private Double pjfs17;

    private Double pjfs18;

    private Double pjfs19;

    private Double pjfs20;

    private Double pjfs21;

    private Double pjfs22;

    private Double pjfs23;

    private Double pjfs24;

    private Double pjfs25;

    private Double pjfs26;

    private Double pjfs27;

    private Double pjfs28;

    private Double pjfs29;

    private Double pjfs30;

    private Double pjfs31;

    private Double pjfs32;

    private Double pjfs33;

    private Double pjfs34;

    private Double pjfs35;

    private Double pjfs36;

    private Double pjfs37;

    private Double pjfs38;

    private Double pjfs39;

    private Double pjfs40;

    private Double pjfs41;

    private Double pjfs42;

    private Double pjfs43;

    private Double pjfs44;

    private Double pjfs45;

    private Double pjfs46;

    private Double pjfs47;

    private Double pjfs48;

    private Double pjfs49;

    private Double pjfs50;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Date getRecordDate() {
        return recordDate;
    }

    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }

    public Double getRfdl() {
        return rfdl;
    }

    public void setRfdl(Double rfdl) {
        this.rfdl = rfdl;
    }

    public Double getHjwd() {
        return hjwd;
    }

    public void setHjwd(Double hjwd) {
        this.hjwd = hjwd;
    }

    public Long getYxts() {
        return yxts;
    }

    public void setYxts(Long yxts) {
        this.yxts = yxts;
    }

    public Double getTqfs() {
        return tqfs;
    }

    public void setTqfs(Double tqfs) {
        this.tqfs = tqfs;
    }

    public Double getPjfs1() {
        return pjfs1;
    }

    public void setPjfs1(Double pjfs1) {
        this.pjfs1 = pjfs1;
    }

    public Double getPjfs2() {
        return pjfs2;
    }

    public void setPjfs2(Double pjfs2) {
        this.pjfs2 = pjfs2;
    }

    public Double getPjfs3() {
        return pjfs3;
    }

    public void setPjfs3(Double pjfs3) {
        this.pjfs3 = pjfs3;
    }

    public Double getPjfs4() {
        return pjfs4;
    }

    public void setPjfs4(Double pjfs4) {
        this.pjfs4 = pjfs4;
    }

    public Double getPjfs5() {
        return pjfs5;
    }

    public void setPjfs5(Double pjfs5) {
        this.pjfs5 = pjfs5;
    }

    public Double getPjfs6() {
        return pjfs6;
    }

    public void setPjfs6(Double pjfs6) {
        this.pjfs6 = pjfs6;
    }

    public Double getPjfs7() {
        return pjfs7;
    }

    public void setPjfs7(Double pjfs7) {
        this.pjfs7 = pjfs7;
    }

    public Double getPjfs8() {
        return pjfs8;
    }

    public void setPjfs8(Double pjfs8) {
        this.pjfs8 = pjfs8;
    }

    public Double getPjfs9() {
        return pjfs9;
    }

    public void setPjfs9(Double pjfs9) {
        this.pjfs9 = pjfs9;
    }

    public Double getPjfs10() {
        return pjfs10;
    }

    public void setPjfs10(Double pjfs10) {
        this.pjfs10 = pjfs10;
    }

    public Double getPjfs11() {
        return pjfs11;
    }

    public void setPjfs11(Double pjfs11) {
        this.pjfs11 = pjfs11;
    }

    public Double getPjfs12() {
        return pjfs12;
    }

    public void setPjfs12(Double pjfs12) {
        this.pjfs12 = pjfs12;
    }

    public Double getPjfs13() {
        return pjfs13;
    }

    public void setPjfs13(Double pjfs13) {
        this.pjfs13 = pjfs13;
    }

    public Double getPjfs14() {
        return pjfs14;
    }

    public void setPjfs14(Double pjfs14) {
        this.pjfs14 = pjfs14;
    }

    public Double getPjfs15() {
        return pjfs15;
    }

    public void setPjfs15(Double pjfs15) {
        this.pjfs15 = pjfs15;
    }

    public Double getPjfs16() {
        return pjfs16;
    }

    public void setPjfs16(Double pjfs16) {
        this.pjfs16 = pjfs16;
    }

    public Double getPjfs17() {
        return pjfs17;
    }

    public void setPjfs17(Double pjfs17) {
        this.pjfs17 = pjfs17;
    }

    public Double getPjfs18() {
        return pjfs18;
    }

    public void setPjfs18(Double pjfs18) {
        this.pjfs18 = pjfs18;
    }

    public Double getPjfs19() {
        return pjfs19;
    }

    public void setPjfs19(Double pjfs19) {
        this.pjfs19 = pjfs19;
    }

    public Double getPjfs20() {
        return pjfs20;
    }

    public void setPjfs20(Double pjfs20) {
        this.pjfs20 = pjfs20;
    }

    public Double getPjfs21() {
        return pjfs21;
    }

    public void setPjfs21(Double pjfs21) {
        this.pjfs21 = pjfs21;
    }

    public Double getPjfs22() {
        return pjfs22;
    }

    public void setPjfs22(Double pjfs22) {
        this.pjfs22 = pjfs22;
    }

    public Double getPjfs23() {
        return pjfs23;
    }

    public void setPjfs23(Double pjfs23) {
        this.pjfs23 = pjfs23;
    }

    public Double getPjfs24() {
        return pjfs24;
    }

    public void setPjfs24(Double pjfs24) {
        this.pjfs24 = pjfs24;
    }

    public Double getPjfs25() {
        return pjfs25;
    }

    public void setPjfs25(Double pjfs25) {
        this.pjfs25 = pjfs25;
    }

    public Double getPjfs26() {
        return pjfs26;
    }

    public void setPjfs26(Double pjfs26) {
        this.pjfs26 = pjfs26;
    }

    public Double getPjfs27() {
        return pjfs27;
    }

    public void setPjfs27(Double pjfs27) {
        this.pjfs27 = pjfs27;
    }

    public Double getPjfs28() {
        return pjfs28;
    }

    public void setPjfs28(Double pjfs28) {
        this.pjfs28 = pjfs28;
    }

    public Double getPjfs29() {
        return pjfs29;
    }

    public void setPjfs29(Double pjfs29) {
        this.pjfs29 = pjfs29;
    }

    public Double getPjfs30() {
        return pjfs30;
    }

    public void setPjfs30(Double pjfs30) {
        this.pjfs30 = pjfs30;
    }

    public Double getPjfs31() {
        return pjfs31;
    }

    public void setPjfs31(Double pjfs31) {
        this.pjfs31 = pjfs31;
    }

    public Double getPjfs32() {
        return pjfs32;
    }

    public void setPjfs32(Double pjfs32) {
        this.pjfs32 = pjfs32;
    }

    public Double getPjfs33() {
        return pjfs33;
    }

    public void setPjfs33(Double pjfs33) {
        this.pjfs33 = pjfs33;
    }

    public Double getPjfs34() {
        return pjfs34;
    }

    public void setPjfs34(Double pjfs34) {
        this.pjfs34 = pjfs34;
    }

    public Double getPjfs35() {
        return pjfs35;
    }

    public void setPjfs35(Double pjfs35) {
        this.pjfs35 = pjfs35;
    }

    public Double getPjfs36() {
        return pjfs36;
    }

    public void setPjfs36(Double pjfs36) {
        this.pjfs36 = pjfs36;
    }

    public Double getPjfs37() {
        return pjfs37;
    }

    public void setPjfs37(Double pjfs37) {
        this.pjfs37 = pjfs37;
    }

    public Double getPjfs38() {
        return pjfs38;
    }

    public void setPjfs38(Double pjfs38) {
        this.pjfs38 = pjfs38;
    }

    public Double getPjfs39() {
        return pjfs39;
    }

    public void setPjfs39(Double pjfs39) {
        this.pjfs39 = pjfs39;
    }

    public Double getPjfs40() {
        return pjfs40;
    }

    public void setPjfs40(Double pjfs40) {
        this.pjfs40 = pjfs40;
    }

    public Double getPjfs41() {
        return pjfs41;
    }

    public void setPjfs41(Double pjfs41) {
        this.pjfs41 = pjfs41;
    }

    public Double getPjfs42() {
        return pjfs42;
    }

    public void setPjfs42(Double pjfs42) {
        this.pjfs42 = pjfs42;
    }

    public Double getPjfs43() {
        return pjfs43;
    }

    public void setPjfs43(Double pjfs43) {
        this.pjfs43 = pjfs43;
    }

    public Double getPjfs44() {
        return pjfs44;
    }

    public void setPjfs44(Double pjfs44) {
        this.pjfs44 = pjfs44;
    }

    public Double getPjfs45() {
        return pjfs45;
    }

    public void setPjfs45(Double pjfs45) {
        this.pjfs45 = pjfs45;
    }

    public Double getPjfs46() {
        return pjfs46;
    }

    public void setPjfs46(Double pjfs46) {
        this.pjfs46 = pjfs46;
    }

    public Double getPjfs47() {
        return pjfs47;
    }

    public void setPjfs47(Double pjfs47) {
        this.pjfs47 = pjfs47;
    }

    public Double getPjfs48() {
        return pjfs48;
    }

    public void setPjfs48(Double pjfs48) {
        this.pjfs48 = pjfs48;
    }

    public Double getPjfs49() {
        return pjfs49;
    }

    public void setPjfs49(Double pjfs49) {
        this.pjfs49 = pjfs49;
    }

    public Double getPjfs50() {
        return pjfs50;
    }

    public void setPjfs50(Double pjfs50) {
        this.pjfs50 = pjfs50;
    }

    @Override
    public String toString() {
        return "ProjectInfoMin2{" +
            "id = " + id +
            ", stationId = " + stationId +
            ", projectId = " + projectId +
            ", recordDate = " + recordDate +
            ", rfdl = " + rfdl +
            ", hjwd = " + hjwd +
            ", yxts = " + yxts +
            ", tqfs = " + tqfs +
            ", pjfs1 = " + pjfs1 +
            ", pjfs2 = " + pjfs2 +
            ", pjfs3 = " + pjfs3 +
            ", pjfs4 = " + pjfs4 +
            ", pjfs5 = " + pjfs5 +
            ", pjfs6 = " + pjfs6 +
            ", pjfs7 = " + pjfs7 +
            ", pjfs8 = " + pjfs8 +
            ", pjfs9 = " + pjfs9 +
            ", pjfs10 = " + pjfs10 +
            ", pjfs11 = " + pjfs11 +
            ", pjfs12 = " + pjfs12 +
            ", pjfs13 = " + pjfs13 +
            ", pjfs14 = " + pjfs14 +
            ", pjfs15 = " + pjfs15 +
            ", pjfs16 = " + pjfs16 +
            ", pjfs17 = " + pjfs17 +
            ", pjfs18 = " + pjfs18 +
            ", pjfs19 = " + pjfs19 +
            ", pjfs20 = " + pjfs20 +
            ", pjfs21 = " + pjfs21 +
            ", pjfs22 = " + pjfs22 +
            ", pjfs23 = " + pjfs23 +
            ", pjfs24 = " + pjfs24 +
            ", pjfs25 = " + pjfs25 +
            ", pjfs26 = " + pjfs26 +
            ", pjfs27 = " + pjfs27 +
            ", pjfs28 = " + pjfs28 +
            ", pjfs29 = " + pjfs29 +
            ", pjfs30 = " + pjfs30 +
            ", pjfs31 = " + pjfs31 +
            ", pjfs32 = " + pjfs32 +
            ", pjfs33 = " + pjfs33 +
            ", pjfs34 = " + pjfs34 +
            ", pjfs35 = " + pjfs35 +
            ", pjfs36 = " + pjfs36 +
            ", pjfs37 = " + pjfs37 +
            ", pjfs38 = " + pjfs38 +
            ", pjfs39 = " + pjfs39 +
            ", pjfs40 = " + pjfs40 +
            ", pjfs41 = " + pjfs41 +
            ", pjfs42 = " + pjfs42 +
            ", pjfs43 = " + pjfs43 +
            ", pjfs44 = " + pjfs44 +
            ", pjfs45 = " + pjfs45 +
            ", pjfs46 = " + pjfs46 +
            ", pjfs47 = " + pjfs47 +
            ", pjfs48 = " + pjfs48 +
            ", pjfs49 = " + pjfs49 +
            ", pjfs50 = " + pjfs50 +
        "}";
    }
}
